POST
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
sessions
/
{sessionId}
/
messages
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.sendProviderSocketMessage({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  sessionId: process.env.OCTOSPARK_SESSION_ID ?? "sessionId",
  body: {},
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequence": 123,
  "bodyBase64": "<string>",
  "binary": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

sessionId
string<uuid>
required

Socket session UUID returned when opening a provider WebSocket session.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Body

application/json
bodyBase64
string
required

a string at most 1398104 character(s) long

Required string length: 1 - 1398104
binary
boolean
required

Whether the decoded message is binary; false sends a UTF-8 text message.

idempotencyKey
string
required

a string at most 128 character(s) long

Required string length: 8 - 128

Response

Success

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
sequence
number
required
direction
enum<string>
required
Available options:
outbound,
inbound
status
enum<string>
required
Available options:
pending,
dispatched,
sent,
received
bodyBase64
string
required
binary
boolean
required